Activate Keyword List
This endpoint activates Keyword List. Keyword list is active by default, so you shouldn’t make this request unless the Keyword List is inactive.
HTTP Request
Section titled “HTTP Request”POST https://adelion.com/api/kwlist/activate| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | Keyword list ID. | required |
{ "KeywordList": { "Id": 1 }}Response
Section titled “Response”{ "Status": "Ok", "KeywordList": { "Id": 1, "TeamId": 1, "Name": "Keyword List 1", "KeywordCount": 5, "Status": 0, "StatusString": "Active" }}Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
400 | Bad Request | You sent a body that isn’t JSON. |
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |